Subject: Re: PostgreSQL 7.1 Beta 3 does not run under Cygwin 1.1.8
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: Yutaka tanida <[email-masked]>, Hork Daniel <[email-masked]>
Date: Sun, 4 Feb 2001 05:29:43 -0500

Corinna,

On Thu, Feb 01, 2001 at 05:46:47PM +0100, Corinna Vinschen wrote:
> On Thu, Feb 01, 2001 at 11:29:37AM -0500, Jason Tishler wrote:
> > On Wed, Jan 31, 2001 at 09:45:17PM -0500, Christopher Faylor wrote:
> > > - Improve anonymous mmap.
> > 
> > Unfortunately, I think that the above change is preventing PostgreSQL
> > from running under Cygwin 1.1.8.  When I start postmaster, I get the
> > following error:
> > 
> >       0 [main] postmaster 1580 fixup_mmaps_after_fork: base address fails to match requested address 0x7030000
> > C:\cygwin\usr\local\pgsql\bin\postgres.exe: *** recreate_mmaps_after_fork_failed
> > Startup failed - abort
> > 
> > Any ideas?
> 
> Could you send me a simple test case?

Please see attached for two test cases, courtesy of Yutaka tanida, that
reproduce this problem without PostgreSQL involved.  Actually,
mmaptest2.c further isolates the problem down to mmap()/fork() by
removing cygipc from the equation.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

Subject: Re: PostgreSQL 7.1 Beta 3 does not run under Cygwin 1.1.8
From: Yutaka tanida <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: Hork Daniel <[email-masked]>
Date: Sun, 04 Feb 2001 11:03:47 +0900

Jason,

On Sat, 3 Feb 2001 11:23:41 -0500
Jason Tishler <[email-masked]> wrote:

> Please excuse the direct mail but I am having problems posting to
> pgsql-ports.  Marc Fournier is working with me to try to fix the posting
> problem.  When it rains it pours...
> 
> Please see the attached.  PostgreSQL 7.1 Beta 3 does not run under Cygwin
> 1.1.8.  I believe that it has to due with a cygipc/fork() problem under
> Cygwin 1.1.8.  Please see the following for more details:
> 
>     http://cygwin.com/ml/cygwin/2001-02/msg00098.html

Hmm ... it seems to be terrible.

I create a program to re-produce this probrem . I think it's a bug of
fork().

---
Yutaka tanida<[email-masked]>
--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple